Bug 727760 - rwalld doesn't start with rpcbind installed
Summary: rwalld doesn't start with rpcbind installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rwall
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 07:04 UTC by Honza Horak
Modified: 2011-08-31 01:23 UTC (History)
1 user (show)

Fixed In Version: rwall-0.17-32.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 18:52:30 UTC


Attachments (Terms of Use)
proposed patch (1.30 KB, patch)
2011-08-03 07:07 UTC, Honza Horak
no flags Details | Diff

Description Honza Horak 2011-08-03 07:04:26 UTC
Description of problem:
rwalld doesn't run with rpcbind

Version-Release number of selected component (if applicable):
rwall-server-0.17-31

How reproducible:
every-time

Steps to Reproduce:
1. Try to run rwall
  
Actual results:
error message: "Cannot register service: RPC: Authentication error; why = Client credential too weak"

Expected results:
rwalld started

Additional info:
This bug is similar to bug #247985 and we can use its solution too.

Comment 1 Fedora Update System 2011-08-03 07:06:19 UTC
rwall-0.17-32.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc15

Comment 2 Honza Horak 2011-08-03 07:07:59 UTC
Created attachment 516446 [details]
proposed patch

Comment 3 Fedora Update System 2011-08-03 22:56:59 UTC
Package rwall-0.17-32.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rwall-0.17-32.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-05 06:59:50 UTC
rwall-0.17-32.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc14

Comment 5 Fedora Update System 2011-08-26 18:52:20 UTC
rwall-0.17-32.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-08-31 01:23:05 UTC
rwall-0.17-32.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.